# __gnu_cxx::_Slist_base< _Tp, _Alloc > Struct Template Reference

Inheritance diagram for __gnu_cxx::_Slist_base< _Tp, _Alloc >:

List of all members.

## Detailed Description

### template<class _Tp, class _Alloc>
struct __gnu_cxx::_Slist_base< _Tp, _Alloc >

Definition at line 230 of file slist.

## Public Types

- typedef _Alloc::template rebind<
  _Slist_node< _Tp > >::other _Node_alloc
- typedef _Alloc allocator_type

## Public Member Functions

- _Slist_base (const allocator_type &__a)
- allocator_type get_allocator () const
- ~_Slist_base ()

## Protected Member Functions

- _Slist_node_base * _M_erase_after (_Slist_node_base *, _Slist_node_base *)
- _Slist_node_base * _M_erase_after (_Slist_node_base *__pos)
- _Slist_node< _Tp > * _M_get_node ()
- void _M_put_node (_Slist_node< _Tp > *__p)

## Protected Attributes

- _Slist_node_base _M_head

The documentation for this struct was generated from the following file:

- slist